PDA

View Full Version : 4.2.40 Now crashes on load "Binary XML file line #37: Error inflating class fragment"



taky
10-04-2018, 10:13 PM
When loading the error message is:

###

BeyondPod failed to start!

Binary XML file line #37: Error inflating class fragment

BeyondPod will now Exit!

###

BeyondPod ver 4.2.40
Android 4.4.2

It was working yesterday. :/

KimW
10-05-2018, 10:33 AM
When loading the error message is:

###

BeyondPod failed to start!

Binary XML file line #37: Error inflating class fragment

BeyondPod will now Exit!

###

BeyondPod ver 4.2.40
Android 4.4.2

It was working yesterday. :/

Hello,

BeyondPod no longer supports Android Versions 4.4 and below. (This happened a few beta releases back) You will need to either update your version of Android if you can, or you will need to revert back to a previous version of BP that still supported Android 4.4 and below. http://www.beyondpod.mobi/Android/BETA/betachanges.htm

ANosal
10-05-2018, 11:00 AM
how does one "revert?"

KimW
10-05-2018, 01:58 PM
how does one "revert?"

You will want to use the link I left in my last comment to download one of the previous version apk.

rms
10-06-2018, 11:33 AM
you will need to revert back to a previous version of BP that still supported Android 4.4 and below.

Which one is the last beta that supports Kitkat then? since you decided to drop support for Kitkat which is the android version with the highest market penetration among everything in the WHOLE android universe..

Sixteenkats
10-07-2018, 05:58 PM
You will want to use the link I left in my last comment to download one of the previous version apk.

I also just started getting the error we BeyondPod crashes on startup. I uninstalled BeyondPod in Google play, downloaded the previous apk, clicked on install (received successful install message), clicked open, and I got the same crash and error as in OP. I tried this with versions 4.2.39, as well as 38, 37, and 36. None worked.

I expected it to as I noticed that BeyondPod had been recently updated before the crash/error. Does my unlock key have anything to do with this not working? Do I need to restart the phone or something to make the uninstall/reinstall work?

I have Android 4.4.4, for at least a few more months.

I've been a loyal customer of BeyondPod for years (wondering why I use a different podcatcher than the rest of the universe, yet happy with this app). That said, this is a really crummy move on BP's part (especially without notice), and I won't want to go long without podcasts on my phone.

phalkon30
10-08-2018, 11:12 AM
The change notes for 4.2.25 say it dropped support, so looks like 4.2.19 is your last working version. I saw someone else say they could get a newer version, but I don't remember which.

Honestly I'd probably just go back to 4.2.18, which was stable for a long time before the wrecking ball came through this app.

KimW
10-08-2018, 11:13 AM
Which one is the last beta that supports Kitkat then? since you decided to drop support for Kitkat which is the android version with the highest market penetration among everything in the WHOLE android universe..

BP users on KitKat make up 0.8% of our users base. As Android updates their operating system, we must update as well. It was not in the best interest of development and productivity to keep supporting out of date Android versions.

You can revert back to the last version that worked on your device before the most recent update to 4.2.40. Some users have gone back to 4.2.30 with no issues or 4.2.18. http://www.beyondpod.mobi/Android/BETA/betachanges.htm

KimW
10-08-2018, 11:13 AM
I also just started getting the error we BeyondPod crashes on startup. I uninstalled BeyondPod in Google play, downloaded the previous apk, clicked on install (received successful install message), clicked open, and I got the same crash and error as in OP. I tried this with versions 4.2.39, as well as 38, 37, and 36. None worked.

I expected it to as I noticed that BeyondPod had been recently updated before the crash/error. Does my unlock key have anything to do with this not working? Do I need to restart the phone or something to make the uninstall/reinstall work?

I have Android 4.4.4, for at least a few more months.

I've been a loyal customer of BeyondPod for years (wondering why I use a different podcatcher than the rest of the universe, yet happy with this app). That said, this is a really crummy move on BP's part (especially without notice), and I won't want to go long without podcasts on my phone.

You can revert back to the last version that worked on your device before the most recent update to 4.2.40. Some users have gone back to 4.2.30 with no issues or 4.2.18. http://www.beyondpod.mobi/Android/BETA/betachanges.htm

Sixteenkats
10-08-2018, 12:51 PM
You can revert back to the last version that worked on your device before the most recent update to 4.2.40. Some users have gone back to 4.2.30 with no issues or 4.2.18. http://www.beyondpod.mobi/Android/BETA/betachanges.htm

That worked. Thank you!

inge
10-08-2018, 04:57 PM
Hello, I'm having trouble launching the application after the recent update

817

Android 4.4.2

818

Please let know if this can be fixed.

Hairy Ape
10-09-2018, 04:19 AM
I'm having similar problems. The app will lag when starting up and then crash after a few minutes. I have to go through this cycle a few times before it will run.

KimW
10-09-2018, 11:59 AM
Hello, I'm having trouble launching the application after the recent update

817

Android 4.4.2

818

Please let know if this can be fixed.

Please see the below thread.

inge
10-11-2018, 06:40 AM
Please see the below thread.

Thank you, 4.2.30 works fine

ANosal
10-11-2018, 10:03 AM
OK now that figured out how to revert to 4.2.18 and had it working fine, how do I prevent it from oh so helpfully updating itself into uselessness again??

KimW
10-11-2018, 10:11 AM
OK now that figured out how to revert to 4.2.18 and had it working fine, how do I prevent it from oh so helpfully updating itself into uselessness again??

You will want to go into your Google Play Store settings and turn off auto-updating for BP.

Manasp
10-16-2018, 04:48 AM
You can revert back to the last version that worked on your device before the most recent update to 4.2.40. Some users have gone back to 4.2.30 with no issues or 4.2.18. http://www.beyondpod.mobi/Android/BETA/betachanges.htm
Thanks, 4.2.30 seems to work for me as well. Unfortunately this issue with majority of my feeds still persists.

http://www.beyondpod.com/forum/showthread.php?4719-BBC-podcasts-stopped-downloading
http://www.beyondpod.com/forum/showthread.php?4549-Football-Ramble-amp-related-podcasts-episode-downloads-failing